package org.ta.pddserver.utils;

import lombok.Data;

public class PddJYPriceTool {


    public static FeeResult getTotalFee(String type, int length, int width, int height, int weight, boolean international) {
        if (international) {
            // 国际件
            int exchange = 1;
            return PddOverseaPriceTool.FreightCostCalculation(type, length, width, height, weight, exchange);
        } else {
            // 国内件 属于退件
            return PddNationalPriceTool.FreightCostCalculation(length, width, height, weight);
        }
    }

    @Data
    public static class FeeResult{
        int weight;
        int rentFee;
        int freightFee;
    }
}
